org.mariadb.jdbc.internal.common.query

## Enum QueryType

- java.lang.Object
- - java.lang.Enum<QueryType>
  - - org.mariadb.jdbc.internal.common.query.QueryType

All Implemented Interfaces:
  Serializable, Comparable<QueryType>

    public enum QueryType
    extends Enum<QueryType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALTER`
`DELETE`
`INSERT`
`REPLACE`
`SELECT`
`UNCLASSIFIABLE`
`UPDATE`

### Method Summary

Methods
`static QueryType` `classifyQuery(String query)`
`static QueryType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REPLACE

    public static final QueryType REPLACE

#### INSERT

    public static final QueryType INSERT

#### SELECT

    public static final QueryType SELECT

#### UPDATE

    public static final QueryType UPDATE

#### DELETE

    public static final QueryType DELETE

#### ALTER

    public static final QueryType ALTER

#### UNCLASSIFIABLE

    public static final QueryType UNCLASSIFIABLE

### Method Detail

#### values

    public static QueryType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryType c : QueryType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### classifyQuery

    public static QueryType classifyQuery(String query)